//////////////////////////////////////////////////////////////////////////////
/*
  dnasht11.c
  December 7,2013
*/
#include "simpletools.h"
#include "sht11.h"

FILE *sp;

void sht11(void);

//////////////////////////////////////////////////////////////////////////////
int main()
{
  // Add startup code here.
  // Add startup code here.
  int DO = 0, CLK = 1, DI = 2, CS = 3;      // SD card pins
  int erc = sd_mount(DO, CLK, DI, CS);      // Mount SD card
  if(erc != 0)
  {
    while(1)
    {
      high(26);
      pause(500);
      low(26);
      pause(500);
    }
  }
  else
  {
    sp = fopen("test.txt", "a");
  }

/*          data  clk */
  sht11_pins(17,  16);

 
  while(1)
  {
    sht11();
    pause(3000);        
  }  
}

//////////////////////////////////////////////////////////////////////////////
void sht11(void)
{
  char outBuff[] = {' ',' ',' ',' ',' ',' ','\r','\n'} ;
  sp = fopen("test.txt", "a");

  while(1)
  {
/* Raw temp */
    int soT = sht11_tempRaw();
    //print("soT=%d", soT);
/* Raw real humidity */
    int soRH = sht11_rhRaw();
    //print(" soRH=%d", soRH);
/* Degrees C */
    float sTC = sht11_degC();
    //print(" sTC=%f",sTC);
/* Degrees F */
    float sTf = sht11_degF();
    //print("sTf=%f", sTf);
    //sprint(outBuff,"%f",sTf);
    //fwrite(outBuff,1,8,sp);    
/* Raw humidity Linear */
    float sRHL = sht11_rhLinear();
   // print(" sRHL=%f", sRHL);
/* Raw humidity True */
    float sRHT = sht11_rhTrue();
    //print(" sRHT=%f\n", sRHT);
/* Dew point C */
    float sDPC = sht11_dewPointC(); 
    //print(" sDPC=%f\n", sDPC);
    fwrite("TEST\r\n",1,6,sp);
    pause(10000);
  }
}
